#ifndef SETTINGS_H
#define SETTINGS_H

#include <QObject>
#include <QVariant>
#include <QSettings>

class Settings : public QObject
{
    Q_OBJECT

public:
    void loadAndEmitCorrectionAngle() {
        QSettings settings("Nokia corp", "QtBubbleLevel");
        emit correctionAngle(settings.value("CorrectionAngle"));
    }

signals:
    void correctionAngle(QVariant angle);

public slots:

    void saveCorrectionAngle(QVariant angle) {
        QSettings settings("Nokia corp", "QtBubbleLevel");
        settings.setValue("CorrectionAngle", angle);
    }
};

#endif // SETTINGS_H
